Bug 202187 - Syntax highlighting for RelaxNG Compact code
Summary: Syntax highlighting for RelaxNG Compact code
Status: RESOLVED FIXED
Alias: None
Product: kate
Classification: Unclassified
Component: syntax (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Unspecified
: NOR wishlist (vote)
Target Milestone: ---
Assignee: KWrite Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-08-01 11:18 UTC by Rintze Zelle
Modified: 2011-08-12 08:53 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rintze Zelle 2009-08-01 11:18:42 UTC
Version:            (using KDE 4.2.2)
Installed from:    Ubuntu Packages

As Kate didn't yet include a syntax highlighting file for RelaxNG Compact, I wrote one myself, and I wondering if it could be included in the distribution. An example of a highlighted .rnc-document (converted to HTML using Pandoc) can be found here:
http://sourceforge.net/apps/trac/xbiblio/browser/csl/schema/tags/0.8/csl.html?rev=1084

The highlight file itself can be found here:
http://sourceforge.net/apps/trac/xbiblio/browser/csl/doc/relaxngcompact.xml?rev=1085
Comment 1 Christoph Cullmann 2011-08-12 08:53:10 UTC
Git commit 377b90dd5d827764e70a91eeff0897831e1f6897 by Christoph Cullmann.
Committed on 12/08/2011 at 10:52.
Pushed by cullmann into branch 'master'.

add new hl for RelaxNG compact
BUG: 202187

A  +108  -0    part/syntax/data/relaxngcompact.xml

http://commits.kde.org/kate/377b90dd5d827764e70a91eeff0897831e1f6897